/////////////////////////////////////
// DS1307.h
// part of 720020-1174x (I2C)
//
// Applied Data Systems
// www.applieddata.net
//
// This is a sample class for using the I2C Bus driver on ADS
// BitsyX or AGX devices to communicate with a Dallas DS1307
// Real-Time Clock (RTC) over the I2C bus.
//
// The BitsyX and AGX have the DS1307 on-board in all standard 
// configurations.
//
// { See I2C.h for more description and history }
/////////////////////////////////////
#include <windows.h>
#include "i2c.h"


class DS1307 : I2C
{
	public:
		DS1307();
		void ReadRTC(SYSTEMTIME *time);
		void SetRTC(SYSTEMTIME *time);

	private:
		struct RTC_TIME
		{
			BYTE	SEC;
			BYTE	MIN;
			BYTE	HOUR;
			BYTE	DAY;
			BYTE	DATE;
			BYTE	MONTH;
			BYTE	YEAR;
		};

		void SystemTime2RTCTime(SYSTEMTIME *st, RTC_TIME *rtc);
		void RTCTime2SystemTime(RTC_TIME *rtc, SYSTEMTIME *st);
};